Skip to main content
GET
/
codes
/
{slug}
Get Code
curl --request GET \
  --url 'https://api.example.com/codes/{slug}?HAIQU_API_KEY='
{
  "slug": "<string>",
  "name": "<string>",
  "family": "<string>",
  "code_type": "<string>",
  "completeness": "<string>",
  "sub_family": "",
  "n": 123,
  "k": 123,
  "d": 123,
  "description": "<string>",
  "stabilizers": {},
  "logical_operators": {},
  "layout_svg_url": "<string>",
  "qecx_url": "<string>",
  "references": [
    {
      "authors": [
        "<string>"
      ],
      "title": "<string>",
      "year": 123,
      "doi": "<string>",
      "annotation": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

HAIQU_API_KEY
string
query
required

Path Parameters

slug
string
required

Response

Successful Response

Pydantic model for the QEC Code Library API responses.

slug
string
required
name
string
required
family
string
required
code_type
string
required
completeness
string
required
sub_family
string
default:""
n
integer | null
k
integer | null
d
description
string | null
stabilizers
Stabilizers · object
logical_operators
Logical Operators · object
layout_svg_url
string | null
qecx_url
string | null
references
QECReferenceModel · object[] | null